import java.util.Scanner;

public class Main {
    private static long inversionCount = 0;

    public static void main(String[] args) {
        Scanner scanner=new Scanner(System.in);
        long B=scanner.nextLong();
        scanner.nextLine();
        String str=scanner.nextLine();
        String[] s=str.split("\\s");
        int[] a=new int[s.length];
        for (int i = 0; i < s.length; i++) {
            a[i]=Integer.parseInt(s[i]);
        }
        inversionCount = 0;
        mergeSort(a, 0, a.length - 1);

        System.out.println(inversionCount);
    }

    public static void mergeSort(int[] array, int left, int right) {
        if (left < right) {
            int mid = (left + right) / 2;

            
            mergeSort(array, left, mid);
            mergeSort(array, mid + 1, right);

            
            merge(array, left, mid, right);
        }
    }

    public static void merge(int[] array, int left, int mid, int right) {
        int n1 = mid - left + 1;
        int n2 = right - mid;
        int[] leftArray = new int[n1];
        int[] rightArray = new int[n2];
        System.arraycopy(array, left, leftArray, 0, n1);
        System.arraycopy(array, mid + 1, rightArray, 0, n2);
        int i = 0, j = 0, k = left;
        while (i < n1 && j < n2) {
            if (leftArray[i] <= rightArray[j]) {
                array[k++] = leftArray[i++];
            } else {
                array[k++] = rightArray[j++];
                inversionCount += (n1 - i);
            }
        }
        while (i < n1) {
            array[k++] = leftArray[i++];
        }
        while (j < n2) {
            array[k++] = rightArray[j++];
        }
    }
}